Loading...
Searching...
No Matches
version.h File Reference
`#include <uhd/config.h>`
`#include <uhd/error.h>`
`#include <stdlib.h>`
Include dependency graph for version.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

UHD_API uhd_error | uhd_get_abi_string (char *abi_string_out, size_t buffer_len)
| Get the ABI compatibility string for this build of the library.
UHD_API uhd_error | uhd_get_version_string (char *version_out, size_t buffer_len)
| Get the version string (dotted version number + build info).

## Function Documentation

## uhd_get_abi_string()

UHD_API uhd_error uhd_get_abi_string | ( | char * | abi_string_out,
|  | size_t | buffer_len )

Get the ABI compatibility string for this build of the library.

## uhd_get_version_string()

UHD_API uhd_error uhd_get_version_string | ( | char * | version_out,
|  | size_t | buffer_len )

Get the version string (dotted version number + build info).